#include <stdlib.h>
#include <stdio.h>
#include "lmail.h"
#include "list.h"

void list_destroy(List *list)
{
   Node *node, *prev;

   if (list == NULL) {
      return;
   }
   node = list->first;
   while (node != NULL) {
      prev = node;
      node = node->next;
      if (prev->object != NULL) {
	 free(prev->object);
      }
      free(prev);
   }
   list->first = list->last = NULL;
}
