#define __ ,
#ifdef DEBUG
# ifdef __GNUC__
#  define D(X) do { printf("\n** File: [" __FILE__ "] Function : [" __PRETTY_FUNCTION__ "] Line: [%d]\n", __LINE__); X; } while (0)
# else
#  define D(X) do { printf("\n** File: [" __FILE__ "] Line: [%d]\n", __LINE__); X; } while (0)
# endif
#else
# define D(X) (void) 0
#endif
#define _(X) X

#ifndef LINE_MAX
# define LINE_MAX 4096
#endif

#ifndef STRSIZE_ULONG
# define STRSIZE_ULONG (sizeof ULONG_MAX)
#endif

#ifdef HAVE_ALLOCA
# define ALLOCA_FREE(X) (void) X
# ifdef HAVE_ALLOCA_H
#  include <alloca.h>
# endif
#else
# define alloca(X) malloc(X)
# define ALLOCA_FREE(X) free(X)
#endif

#include "leakfinder.h"
