typedef struct VarString_ {
   char *str;
   size_t size;
   size_t mem_size;   
} VarString;

#define VAR_STRING_CHUNK_SIZE 1024

enum {
   VAR_STRING_FAILURE = -1
};

VarString *var_string_new(void);
void var_string_free(VarString * const vs);
int var_string_cat(VarString * const vs, const char *s);
int var_string_binadd(VarString * const vs, const char *s, size_t ss);
int var_string_add(VarString * const vs, const char *s);
int var_string_compress(VarString * const vs);
