/* Public domain. */

#include "cdb.h"

static inline const uint32 cdb_hashadd(uint32 h, const unsigned char c)
{
  h += (h << 5U);
  return h ^ c;
}

uint32 cdb_hash(const char *buf, unsigned int len)
{
  uint32 h;

  h = CDB_HASHSTART;
  while (len) {
    h = cdb_hashadd(h,*buf++);
    --len;
  }
  return h;
}
