#define CONFIGFILES_COMMENT_CHAR '#'

const char *configfile_read_string(const char * const file_name);
unsigned long configfile_read_unsigned_long(const char * const file_name);
int configfile_read_hashed_list(const char * const file_name,
				HashedList * const hl);
int configfile_read_rcpthosts_list(const char * const file_name,
				   HashedList * const hl_strict,
				   HashedList * const hl_joker);
int configfile_init_cdb(const char * const file_name, CDB * const cdb);
int configfile_free_cdb(CDB * const cdb);
