typedef struct HashedList_ {
   unsigned int subdiv;
   List *lists;
} HashedList;

#define TRIVIAL_HASH(HL, OBJECT) (((OBJECT ) == NULL) ? 0U : \
((unsigned int) (*((unsigned char *) (OBJECT)))) % (HL)->subdiv)

#define REVERSE_TRIVIAL_HASH(HL, OBJECT) ( ( ((OBJECT) == NULL) || ( \
*((unsigned char *) (OBJECT)) == 0U ) ) ? 0U : \
(((unsigned char *) (OBJECT))[strlen((OBJECT)) - 1U]) % (HL)->subdiv)

int hashed_list_init(HashedList * const hl, unsigned int subdiv);
int hashed_list_destroy(HashedList * const hl);
int hashed_list_push(HashedList * const hl, void * const object,
		     const unsigned int subdiv);
