#! /usr/local/bin/perl -w
#
# Simple but efficient memory leaks finder
# (C)opyleft 2000 Frank DENIS aka Jedi/Sector One <j@4u.net>

while (<>) {
      chomp;
      ($op, $addr, $size, $file, $fun, $line) = split /:/;
      SWITCH: { 
              $op =~ /[MCRS]/o && do {
      	      	  $mb_size{$addr} = $size;
		  $mb_file{$addr} = $file;
		  $mb_fun{$addr} = $fun;
		  $mb_line{$addr} = $line;
      	      	  last SWITCH;
	      };
	      $op eq 'F' && do {
	      	  if (defined $mb_size{$addr}) {
		     delete $mb_size{$addr};
		     delete $mb_file{$addr};
		     delete $mb_fun{$addr};
		     delete $mb_line{$addr};
		  } else {
		     print "** Error in [$file], function [$fun], line [$line]\n";
		     print "   Freeing [$addr] that was not allocated.\n\n";
		  }
	      };
      }
}

foreach $addr (keys %mb_size) {
      	$size = $mb_size{$addr};
	$file = $mb_file{$addr};
	$fun = $mb_fun{$addr};
	$line = $mb_line{$addr};
	print "** Not freed : allocation [$addr] from [$file], [$fun], line [$line]\n";
}
