ssize_t safe_read(const int fd, void *buf, size_t len);
ssize_t safe_write(const int fd, const void *buf, size_t len);
ssize_t safe_write_line(const int fd, const char * const buf);
ssize_t safe_get_char(const int fd, char * const c);
int safe_get_line(const int fd, char *buf, size_t size);
int file_lock(const int fd, const int type);

enum {
   SAFE_READ_EOF = 0,
   SAFE_READ_ERROR = -1,
   SAFE_READ_OVERFLOW = -2,
   SAFE_WRITE_EOF = 0,
   SAFE_WRITE_ERROR = -1,
   SAFE_WRITE_OVERFLOW = -2,
};

