void lowerize(char *string);
int chomp(char *s);
char *skip_spaces(char *line);
void trim_rspaces(char *line);
int strcmp_reverse(const char * const s1, const size_t s1_length,
		   const char * const s2);

#define SIZE_TEMPLATE_PROTO(name, type) size_t size_ ## name(type n)

SIZE_TEMPLATE_PROTO(char, char);
SIZE_TEMPLATE_PROTO(unsigned_char, unsigned char);
SIZE_TEMPLATE_PROTO(int, int);
SIZE_TEMPLATE_PROTO(unsigned_int, unsigned int);
SIZE_TEMPLATE_PROTO(long, long);
SIZE_TEMPLATE_PROTO(unsigned_long, unsigned long);
SIZE_TEMPLATE_PROTO(long_long, long long);
SIZE_TEMPLATE_PROTO(unsigned_long_long, unsigned long long);

char *unsafe_ultostr(char *target, unsigned long value);

#define STR2_DUP(X, Y) do {  if (((X) = malloc(strlen(Y))) != NULL) strcpy(X, Y); } while (0)

#define STR2_INIT(TARGET, PNT) ((PNT) = (TARGET))
#define STR2_UNSAFE_FINALIZE(PNT) (*(PNT) = 0)
#define STR2_UNSAFE_STRCAT_L(PNT, SOURCE, LEN) do { strcpy((PNT), (SOURCE)); (PNT) += ((LEN) - 1); } while (0)
#define STR2_UNSAFE_CHARCAT(PNT, C) (*((PNT)++) = (C))
#define STR2_UNSAFE_ULINTCAT(PNT, VALUE) ((PNT) = unsafe_ultostr((PNT), (VALUE)))

