typedef struct SyncNode_ {
   struct SyncNode_ *next;
   int fd1;
#ifdef INTD_COMPATIBILITY
   int fd2;   
#endif
   int semid;
} SyncNode;

typedef struct SyncQueue_ {
   SyncNode *first;
   SyncNode *last;
} SyncQueue;

int sync_queue_init(SyncQueue * const sq);
int sync_queue_push(SyncQueue * const sq, const int fd1
#ifdef INTD_COMPATIBILITY
		    ,const int fd2
#endif
		    );
int sync_queue_pop(SyncQueue * const sq, SyncNode * const sync_node);
int sync_queue_delete(SyncQueue * const sq);
